<template>
  <div class="slotChildTabs">
    <span></span>
    <span></span>
    <span></span>
    <span></span>
    <div class="tabs-content">
      <ul v-for="(item,index) in setSolidWaste" :key="index">
        <li>场所名称:{{ item.StoragePlaceName }}</li>
        <li>贮存能力:{{ item.StoragePlaceName }}</li>
        <li>剩余贮存能力:{{ item.StorageQty }}</li>
        <li>占地面积(㎡):{{ item.SurplusFloorArea }}</li>
        <li>最近贮存日期:{{ item.DesignFloorArea }}</li>
        <li class="lastli"></li>
      </ul>
    </div>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'

export default {
  name: 'GasTable',
  data () {
    return {
      setSolidWaste: []
    }
  },
  mounted () {
    this.$nextTick(() => {
      // this.refsDataTabs()
    })
  },
  methods: {
    async refsDataTabs (data) {
      const StoragePlaceId = {
        StoragePlaceId: data
      }
      const result = await mapApi.getSolidWasteBaseInfo(StoragePlaceId)
      this.setSolidWaste = result.Result.DataInfo
    }
  }
}
</script>

<style scoped lang="less">

.slotChildTabs {
  position: relative;
  margin-bottom: 0.1rem;
  background-color: @background-color;

  .tabs-content {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;

      li {
        margin-bottom: 0.04rem;
        text-align: center;
        min-width: 30%;
        background-color: #243a55;
        color: #00d0f9;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.03rem .5%;
      }

      .lastli {
        visibility: hidden
      }
    }
  }
}

.slotChildTabs span:nth-child(1) {
  position: absolute;
  left: -1px;
  top: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 1px 0 0 1px;
}

.slotChildTabs span:nth-child(2) {
  position: absolute;
  right: -1px;
  top: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 1px 1px 0 0;
}

.slotChildTabs span:nth-child(3) {
  position: absolute;
  right: -1px;
  bottom: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 0 1px 1px 0;
}

.slotChildTabs span:nth-child(4) {
  position: absolute;
  left: -1px;
  bottom: -1px;
  padding: 6px;
  border-style: solid;
  border-color: #02a6b5;
  border-width: 0 0 1px 1px;
}
</style>
